<?php

namespace app\admin\controller;

use app\common\logic\Rank as lRank;

class Rank extends Base
{


    /**
     * @昨日排行
     *
     * @author: zsl
     * @since: 2021/3/29 14:58
     */
    public function yesterday()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lRank = new lRank();
            return json($lRank -> yesterday($param));
        }
        return false;
    }

    /**
     * @日排行
     *
     * @author: zsl
     * @since: 2021/3/9 9:22
     */
    public function day()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lRank = new lRank();
            return json($lRank -> day($param));
        }
        return false;
    }


    /**
     * @周排行
     *
     * @author: zsl
     * @since: 2021/3/9 10:13
     */
    public function week()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lRank = new lRank();
            return json($lRank -> week($param));
        }
        return false;
    }

    /**
     * @月排行
     *
     * @author: zsl
     * @since: 2021/3/9 10:19
     */
    public function month()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lRank = new lRank();
            return json($lRank -> month($param));
        }
        return false;
    }

    /**
     * @季度排行
     *
     * @author: zsl
     * @since: 2021/3/9 10:19
     */
    public function season()
    {
        if (request() -> isPost()) {
            $param = request() -> param();
            $lRank = new lRank();
            return json($lRank -> season($param));
        }
        return false;
    }


}
